.block-todos-new {
	padding: 30px;
	display: flex;

	border-radius: 25px;
	background-color: var(--c-accent_dark);
}

.block-todos-new_input {
	border-top-right-radius: 0;
	border-bottom-right-radius: 0;
}

.block-todos-new__button {
	padding: 10px 30px;

	border-top-right-radius: 10px;
	border-bottom-right-radius: 10px;
	background-color: var(--c-bg_dark);
	border: 2px solid var(--c-grey);

	transition: 0.3s;
}

.block-todos-new__button:not(:disabled) {
	border-color: var(--c-main_dark);
	color: var(--c-main_dark);
}

.block-todos-new .block-todos-new__button-icon {
	color: var(--c-grey);
}

.block-todos-new__button:not(:disabled) > .block-todos-new__button-icon {
	color: var(--c-main_dark);
}

.block-todos-new__button:hover:not(:disabled) > .block-todos-new__button-icon {
	color: var(--c-accent);
}

.block-todos-new__button:hover:not(:disabled) {
	background-color: var(--c-main_dark);
	border-color: transparent;

	box-shadow: 0 0 15px var(--c-main_dark);
}

.block-todos-new__button:active {
	transform: scale(0.7);
	opacity: 0.5;
	border-radius: 10px;
}

.block-todos-new__button:disabled {
	opacity: 0.5;
}

.block-todos-new__button:disabled:hover {
	cursor: not-allowed;
}

.block-todos-new__button-icon {
	font-size: 25px;
	color: var(--c-main_dark);
	transition: 0.3s;
}

@media screen and (max-width: 700px) {
	.block-todos-new {
		flex-direction: column;
		gap: 30px;
	}

	.block-todos-new_input {
		border-radius: 10px;
	}

	.block-todos-new__button {
		border-radius: 10px;
	}
}
